import { GridFilterDialogViewModelGrouping as GridFilterDialogViewModelGrouping_internal } from "./GridFilterDialogViewModelGrouping";
export declare class IgcGridFilterDialogViewModelGrouping {
    protected createImplementation(): GridFilterDialogViewModelGrouping_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: GridFilterDialogViewModelGrouping_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    startIndex: number;
    endIndex: number;
    isOrGrouping: boolean;
    findByName(name: string): any;
}
